Pages
Get page statistics
Aggregate statistics for a page or one of its links over the last N days: visits, unique visitors, median duration, submissions, downloads and a daily series.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
page_id*Page Id
Resource identifier: page_id.
Format
uuidQuery Parameters
link_id?|
Filter or parameter: link_id.
Default
nulldays?Days
Window ending today (UTC).
Range
1 <= value <= 365Default
30Header Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/pages/123e4567-e89b-42d3-a456-426614174000/stats"{ "page_id": "123e4567-e89b-42d3-a456-426614174000", "link_id": null, "days": 30, "totals": { "visits": 120, "unique_visitors": 87, "duration_median_seconds": 42, "duration_total_seconds": 5040, "submissions": 6, "downloads": 3 }, "daily": [ { "date": "2026-09-04", "visits": 12, "unique_visitors": 9, "submissions": 1, "downloads": 0, "duration_seconds_sum": 480 } ], "links": [ { "link_id": "123e4567-e89b-42d3-a456-426614174001", "label": "Customer review", "visit_count": 120, "submission_count": 6 } ]}